### Function

# EBackend CacheSelectFunc

since: 3.26

#### Declaration

    gboolean
    (* ECacheSelectFunc) (
      ECache* cache,
      gint ncols,
      const gchar** column_names,
      const gchar** column_values,
      gpointer user_data
    )

#### Description [src]

A callback called for each row of a SELECT statement executed with `e_cache_sqlite_select()` function.

Available since: 3.26

#### Parameters

`cache`

  Type: `ECache`

  An `ECache`.

  The data is owned by the caller of the function.

`ncols`

  Type: `gint`

  Count of columns, items in column_names and column_values.

`column_names`

  Type: An array of `utf8`

  Column names.

  The length of the array is specified in the `ncols` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`column_values`

  Type: An array of `utf8`

  Column values.

  The length of the array is specified in the `ncols` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data, as used in e_cache_sqlite_select().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to continue, `FALSE` to stop walk through.